@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.splash-screen {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    z-index: 1000;
}

.splash-content {
    text-align: center;
}

.splash-content img {
    max-width: 20%;
    animation: fadeInOut 2s ease-in-out infinite;
}

@keyframes fadeInOut {
    0%, 100% {
        opacity: 0;
        transform: scale(0.8);
    }
    50% {
        opacity: 1;
        transform: scale(1);
    }
}

.main-content {
    display: none;
}

.nav-link {
    position: relative;
    z-index: 0;
    margin-right: 20px;
}

.nav-link:before {
    content: "";
    position: absolute;
    height: 2px;
    bottom: 4px;
    left: 8px;
    right: 6px;
    background-color: #fff;
    visibility: hidden;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transition: all 0.2s ease-in-out 0s;
    -o-transition: all 0.2s ease-in-out 0s;
    transition: all 0.2s ease-in-out 0s;
    z-index: -1;    
}

.active:before {
    visibility: visible;
    background-color: #fff;
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
}

.nav-link:hover:before {
    visibility: visible;
    background-color: #fff;
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
}

#chat-fab {
    position: fixed;
    z-index: 2;
    bottom: 20px;
    right: 20px;
    background-color: #25D366; 
    color: #FFF;
    border: none;
    border-radius: 50%;
    width: 50px; 
    height: 50px; 
    font-size: 22px;
    cursor: pointer;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.5);
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

#hero {
    position: relative;
    overflow: hidden;
}

  
#hero img {
    height: 600px;
    object-fit: cover;
    filter: brightness(0.35);
    transition: filter 0.3s ease;
}

#hero .owl-stage {
    display: flex;
}
  
.owl-prev, .owl-next {
    position: absolute;
    width: 26px;
    height: 50px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    outline: none;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.owl-carousel .owl-nav button.owl-next, .owl-carousel .owl-nav button.owl-prev {
    background: rgba(218, 32, 39, 0.5);
    font-size: 20px;
    color: #fff;
    border: none;
    border-radius: 12px;
}

.owl-dots {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
}

.owl-dot {
    background: #fff; 
    border: 2px solid #333; 
    margin: 0 5px; 
    height: 15px;
    width: 15px;
    border-radius: 50%;
}

.owl-dot.active {
    background: #333; 
}

#hero:hover .owl-prev, #hero:hover .owl-next {
    opacity: 1;
}

.owl-prev {
    left: 20px;
}

.owl-next {
    right: 20px;
}

#hero .content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
}

#hero h1 {
    font-size: 2.5em;
    margin-bottom: 10px;
}

#hero p {
    font-size: 1.2em;
    margin-bottom: 20px;
}



@media (max-width: 1000px) {
    .nav-link, .navbar-brand {
        font-size: 14px;
        margin-right: 10px;
    }

    #hero h1 {
        font-size: 2em;
    }
    
    #hero p {
        font-size: 1em;
    }
}

.read-more {
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    animation: bounce 2s infinite;
    cursor: pointer;
    font-size: 1.5em;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-20px);
    }
    60% {
        transform: translateY(-10px);
    }
}

.link-socmed {
    position: absolute;
    z-index: 1;
    top: 480px;
    left: 30px;
    padding: 0;
    margin: 0;
}

.link-socmed li {
    margin-bottom: 10px;
    list-style: none;
    display: block;
}

.link-socmed li a {
    position: relative;
    display: block;
    color: #fff;    
    width: 30px;
    height: 30px;
    border-radius: 50%;
}

.link-socmed li a:hover {
    background: #da2027;
}

.link-socmed li a span {
    position: absolute;
    font-size: 14px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    color: #fff !important;
}

/* Our Services */

#our-services {
    padding: 6em 0 0 0;
    position: relative;
    width: 100%;
}

.subheading {
    font-size: 12px;
    display: block;
    margin-bottom: 5px;
    color: #da2027;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px; 
}

.services {
    width: 100%;
    background: #fff;
    text-decoration: none;
    padding: 20px;
    position: relative;
    overflow: hidden;
    border-radius: 4px;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
    z-index: 0;
    margin-bottom: 30px;
    -webkit-box-shadow: 0px 24px 48px -13px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: 0px 24px 48px -13px rgba(0, 0, 0, 0.05);
    box-shadow: 0px 24px 48px -13px rgba(0, 0, 0, 0.05);
}

.services:after {
    position: absolute;
    bottom: 0;
    right: 0;
    content: '';
    width: 100%;
    height: 120%;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 50%;
    z-index: -1;
    opacity: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transform: rotate(50deg);
    -ms-transform: rotate(50deg);
    transform: rotate(78deg);
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.services .icon {
    width: 70px;
    height: 70px;
    margin: 0 auto;
    border-radius: 50%;
    background: #eff2ff;
    margin-bottom: 10px;
}

.services .icon-services {
    position: absolute;
    bottom: 0;
    right: 0;
    content: '';
    width: 100%;
    height: 100%;
    opacity: 0;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.services .icon-services:hover {
    opacity: 1;
}

.logo-services {
    position: absolute;
    z-index: -1;
    width: 80px;
    height: auto;
    bottom: 6px;
    right: 6px;
}

.services .icon i {
    margin-left: 2px;
    margin-top: 8px;
    font-size: 40px;
    line-height: 1.2;
    color: #da2027;
}

.services .text {
    width: 100%;
}

.services .text h2,
.services .text .h2 {
    font-size: 17px;
    font-weight: 600;
    text-transform: uppercase;
    color: #333;
    margin-bottom: 10px;
}

.services .text p {
    color: #88879e;
}

.services:hover,
.services.active {
    background: #2c353a;
    -webkit-box-shadow: 0px 5px 14px -6px rgba(0, 0, 0, 0.27);
    -moz-box-shadow: 0px 5px 14px -6px rgba(0, 0, 0, 0.27);
    box-shadow: 0px 5px 14px -6px rgba(0, 0, 0, 0.27);
    color: rgba(255, 255, 255, 0.9);
}

.services:hover:after,
.services.active:after {
    bottom: -70%;
    right: 0;
    opacity: 1;
}

.services:hover .icon,
.services.active .icon {
    background: white;
}

.services:hover .icon span,
.services.active .icon span {
    color: #1fb6fc;
}

.services:hover .text h2,
.services:hover .text .h2,
.services.active .text h2,
.services.active .text .h2 {
    color: #fff;
}

.services:hover .text p,
.services.active .text p {
    color: #fff;
}

/* Why Choose Us */

#why-choose-us{
    position: relative;
    width: 100%;
    text-align: center;
}

#why-choose-us .container {
    padding: 2em 2em 2em 2em;
    border-radius: 12px;
    background: #333;
}

#why-choose-us h2 {
    color: #fff;
}

#why-choose-us p {
    color: #fff;
}

#why-choose-us .item {
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    margin-top: 10px;
    margin-bottom: 10px;
}

#brand-carousel img {
    width: 90%;
    height: auto;
    filter: brightness(0) invert(1);
    transition: filter 0.3s ease;
}

#brand-carousel img:hover {
    filter: brightness(1) invert(0);
}

#brand-carousel .owl-stage {
    display: flex;
    align-items: center;
}

/* Our Business Focus */

#our-business-focus {
    padding: 6em 0 0 0;
    position: relative;
    width: 100%;
}

#our-business-focus li {
    text-align: left;
    color: #88879e;
}

/* Our Project Gallery */

#our-project-gallery {
    padding: 6em 0;
    position: relative;
    width: 100%;
    text-align: center;
}

#our-project-gallery .container {
    padding: 2em 2em 2em 2em;
    border-radius: 12px;
    background: #333;
}

#our-project-gallery h2 {
    color: #fff;
}

#our-project-gallery p {
    color: #fff;
}

#our-project-gallery .item {
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
}

#project-carousel img, #product-carousel img {
    text-align: center;
    width: 90%;
    height: auto;
    transition: filter 0.3s ease;
}

/* Footer */
.footer {
    padding: 7em 0 0 0;
    overflow: hidden;
    background: #da202640;
}

.footer span {
    color: #da2027;
}

.footer p {
    color: rgba(0, 0, 0, 0.3);
}

.footer .footer-heading {
    font-size: 18px;
    margin-bottom: 30px;
}

.footer ul.list-unstyled li a {
    color: rgba(0, 0, 0, 0.3);
}

.footer .contact-form {
    width: 100%;
}

.footer .contact-form .form-control {
    height: 50px;
    background: #fff;
    color: rgba(0, 0, 0, 1);
    font-size: 14px;
    border-radius: 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: none;
}

.footer .contact-form .form-control::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: rgba(0, 0, 0, 0.3) !important;
}

.footer .contact-form .form-control::-moz-placeholder {
    /* Firefox 19+ */
    color: rgba(0, 0, 0, 0.3) !important;
}

.footer .contact-form .form-control:-ms-input-placeholder {
    /* IE 10+ */
    color: rgba(0, 0, 0, 0.3) !important;
}

.footer .contact-form .form-control:-moz-placeholder {
    /* Firefox 18- */
    color: rgba(0, 0, 0, 0.3) !important;
}

.footer .contact-form .form-control:focus {
    outline: none !important;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.footer .contact-form .form-control:focus,
.footer .contact-form .form-control:active {
    outline: none !important;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.footer .contact-form .submit {
    background: #333 !important;
    color: #fff;
}

.footer .contact-form textarea.form-control {
    height: inherit !important;
}

.footer .aside-stretch-right {
    background: #da2027;
}

.footer .aside-stretch-right:after {
    background: #da2027;
}

.form-group {
    margin-bottom: 1rem;
}

.footer-social li {
    list-style: none;
    margin: 0 10px 0 0;
    display: inline-block;
}

.footer-social li a {
    height: 40px;
    width: 40px;
    display: block;
    background: rgba(0, 0, 0, 0.05);
    border-radius: 50%;
    position: relative;
}

.footer-social li a span {
    position: absolute;
    font-size: 20px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.footer-social li a:hover {
    color: #fff;
}

.copy-footer {
    margin-bottom: 0px;
}

#quicklink a:hover {
    color: #333;
}

.copy-footer a {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 10px;
    color: #333;
}

.form-email {
    border-radius: 8px !important;
}

.form-email .footer-heading {
    color: #fff;
}

.dropdown img{
    width: 30px;
    height: auto;
    margin: 4px;
    border-radius: 16%;
}

/* Additional styling for fullscreen image */
#fullscreen-project-container, #fullscreen-product-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 9999;
    text-align: center;
    align-items: center;
    justify-content: center;
  }
  
  #fullscreen-project .item img, #fullscreen-product .item img {
    max-width: 50%;
    max-height: 50%;
  }

  #close-fullscreen, #close-fullscreen-product {
    position: absolute;
    top: 14px;
    right: 14px;
    z-index: 99999;
  }

  #fullscreen-project .owl-prev, #fullscreen-project .owl-next, #fullscreen-product .owl-prev, #fullscreen-product .owl-next {
    opacity: 1;
    background: rgba(0, 0, 0, 0.9);
    border-radius: 6px;
  }  

@media (max-width: 767.98px) {
    .footer .aside-stretch-right {
        background: transparent;
    }

    .footer .aside-stretch-right:after {
        background: transparent;
        display: none;
    }

    #fullscreen-carousel .item img, #fullscreen-product .item img {
        max-width: 80%;
        max-height: 80%;
    }
}
  
#project-carousel .item, #product-carousel .item {
    display: inline-block;
    position: relative;
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}

#project-carousel .item:hover, #product-carousel .item:hover {
    box-shadow: 0px 0px 80px rgba(0, 0, 0, 0.6);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
    transform: scale(1.2);
}

#project-carousel .owl-stage-outer, #product-carousel .owl-stage-outer {
    padding-top: 30px;
    padding-bottom: 30px;
}